pipeline {

	agent {	label 'ubuntu64-2' } 

	options {
		gitLabConnection('gitlab-inria')
//		gitlabCommitStatus(name: 'jenkins')
	}


	stages {

		stage('Build') {
			tools {
				maven 'Maven 3'
			}
		
			environment {
				MAVEN_OPTS = "-Xmx3072m"
			}

			steps {
				sh "mvn -B -e -fae -P release -Dmaven.test.failure.ignore clean integration-test"
				archiveArtifacts artifacts: "releng/*.update/target/*.update-*.zip"
				junit allowEmptyResults: true, testResults: "**/target/surefire-reports/TEST-*.xml"
				jacoco execPattern: 'tests/**/target/*.exec', 
					sourcePattern: 'bundles/**/src,bundles/**/src-gen,bundles/**/xtend-gen,bundles/**/xcore-gen', 
					classPattern: 'bundles/**/bin', 
					inclusionPattern: '**/*.class,**/*.java', 
					exclusionPattern: '**/lib/*'
			}
		}

	}
}

